> For the complete documentation index, see [llms.txt](https://docs.bunny.com/developer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bunny.com/developer/api-reference/types/documenttemplatecomponentattributes.md).

# DocumentTemplateComponentAttributes

```json
{
  "id": "456123",
  "documentTemplateId": "456123",
  "kind": "DocumentTemplateComponentKind",
  "content": "",
  "font": "",
  "fontSize": "",
  "fontWeight": "",
  "alignment": "",
  "width": "",
  "height": "",
  "lineSpacing": "",
  "imageScale": "",
  "color": "",
  "background": "",
  "position": 123,
  "imageSignedId": "",
  "skipPages": true,
  "paddingTop": 123,
  "paddingBottom": 123,
  "paddingLeft": 123,
  "paddingRight": 123,
  "marginTop": 123,
  "marginBottom": 123,
  "marginLeft": 123,
  "marginRight": 123,
  "twoColumns": true
}
```

| Name               | Type                                                                                             | Description                                          |
| ------------------ | ------------------------------------------------------------------------------------------------ | ---------------------------------------------------- |
| id                 | ID                                                                                               | The ID of the component                              |
| documentTemplateId | ID                                                                                               | The ID of the template that the component belongs to |
| kind               | [DocumentTemplateComponentKind](/developer/api-reference/enums.md#documenttemplatecomponentkind) | The kind of the component                            |
| content            | String                                                                                           | The content of the component                         |
| font               | String                                                                                           | The font of the component                            |
| fontSize           | String                                                                                           | The font size of the component                       |
| fontWeight         | String                                                                                           | The font weight of the component                     |
| alignment          | String                                                                                           | The alignment of the component                       |
| width              | String                                                                                           | The width of the component                           |
| height             | String                                                                                           | The height of the component                          |
| lineSpacing        | String                                                                                           | The line spacing of the component                    |
| imageScale         | String                                                                                           | The image scale of the component                     |
| color              | String                                                                                           | The color of the component                           |
| background         | String                                                                                           | The background of the component                      |
| position           | Int                                                                                              | The position of the component in the template        |
| imageSignedId      | String                                                                                           | The signed\_id for an image attachment               |
| skipPages          | Boolean                                                                                          | Number of pages to skip before header is shown       |
| paddingTop         | Int                                                                                              | The padding top of the component                     |
| paddingBottom      | Int                                                                                              | The padding bottom of the component                  |
| paddingLeft        | Int                                                                                              | The padding left of the component                    |
| paddingRight       | Int                                                                                              | The padding right of the component                   |
| marginTop          | Int                                                                                              | The margin top of the component                      |
| marginBottom       | Int                                                                                              | The margin bottom of the component                   |
| marginLeft         | Int                                                                                              | The margin left of the component                     |
| marginRight        | Int                                                                                              | The margin right of the component                    |
| twoColumns         | Boolean                                                                                          | Whether to use two columns                           |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bunny.com/developer/api-reference/types/documenttemplatecomponentattributes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
